org.bouncycastle.crypto.params

## Class ECDHUPrivateParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.ECDHUPrivateParameters

- All Implemented Interfaces:
    CipherParameters

      public class ECDHUPrivateParameters
      extends java.lang.Object
      implements CipherParameters

  Parameters holder for private unified static/ephemeral agreement as described in NIST SP 800-56A.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ECDHUPrivateParameters(ECPrivateKeyParameters staticPrivateKey, ECPrivateKeyParameters ephemeralPrivateKey)`
    `ECDHUPrivateParameters(ECPrivateKeyParameters staticPrivateKey, ECPrivateKeyParameters ephemeralPrivateKey, ECPublicKeyParameters ephemeralPublicKey)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ECPrivateKeyParameters` | `getEphemeralPrivateKey()`
    `ECPublicKeyParameters` | `getEphemeralPublicKey()`
    `ECPrivateKeyParameters` | `getStaticPrivateKey()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ECDHUPrivateParameters

          public ECDHUPrivateParameters(ECPrivateKeyParameters staticPrivateKey,
                                        ECPrivateKeyParameters ephemeralPrivateKey)

    - #### ECDHUPrivateParameters

          public ECDHUPrivateParameters(ECPrivateKeyParameters staticPrivateKey,
                                        ECPrivateKeyParameters ephemeralPrivateKey,
                                        ECPublicKeyParameters ephemeralPublicKey)

  - ### Method Detail

    - #### getStaticPrivateKey

          public ECPrivateKeyParameters getStaticPrivateKey()

    - #### getEphemeralPrivateKey

          public ECPrivateKeyParameters getEphemeralPrivateKey()

    - #### getEphemeralPublicKey

          public ECPublicKeyParameters getEphemeralPublicKey()